Package org.eclipse.ui

# Interface IPartListener2

All Known Implementing Classes:
  `ObjectPluginAction`, `PartService`

public interface IPartListener2
Interface for listening to part lifecycle events.

This is a replacement for `IPartListener`.

As of 3.5, if the implementation of this listener also implements `IPageChangedListener` then it will also be notified about `PageChangedEvent`s from parts that implement `IPageChangeProvider`.

This interface may be implemented by clients.

See Also:
  - `IPartService.addPartListener(IPartListener2)`

## Method Summary

Modifier and Type
Method
Description
`default void`
`partActivated(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been activated.
`default void`
`partBroughtToTop(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been brought to the top.
`default void`
`partClosed(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been closed.
`default void`
`partDeactivated(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been deactivated.
`default void`
`partHidden(IWorkbenchPartReference partRef)`
Notifies this listener that the given part is hidden or obscured by another part.
`default void`
`partInputChanged(IWorkbenchPartReference partRef)`
Notifies this listener that the given part's input was changed.
`default void`
`partOpened(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been opened.
`default void`
`partVisible(IWorkbenchPartReference partRef)`
Notifies this listener that the given part is visible.

## Method Details

### partActivated

default void partActivated(IWorkbenchPartReference partRef)
Notifies this listener that the given part has been activated.

Parameters:
  `partRef` - the part that was activated
See Also:
  - `IWorkbenchPage.activate(org.eclipse.ui.IWorkbenchPart)`

### partBroughtToTop

default void partBroughtToTop(IWorkbenchPartReference partRef)
Notifies this listener that the given part has been brought to the top.

These events occur when an editor is brought to the top in the editor area, or when a view is brought to the top in a page book with multiple views. They are normally only sent when a part is brought to the top programmatically (via `IPerspective.bringToTop`). When a part is activated by the user clicking on it, only `partActivated` is sent.

Parameters:
  `partRef` - the part that was surfaced
See Also:
  - `IWorkbenchPage.bringToTop(org.eclipse.ui.IWorkbenchPart)`

### partClosed

default void partClosed(IWorkbenchPartReference partRef)
Notifies this listener that the given part has been closed.

Note that if other perspectives in the same page share the view, this notification is not sent. It is only sent when the view is being removed from the page entirely (it is being disposed).

Parameters:
  `partRef` - the part that was closed
See Also:
  - `IWorkbenchPage.hideView(org.eclipse.ui.IViewPart)`

### partDeactivated

default void partDeactivated(IWorkbenchPartReference partRef)
Notifies this listener that the given part has been deactivated.

Parameters:
  `partRef` - the part that was deactivated
See Also:
  - `IWorkbenchPage.activate(org.eclipse.ui.IWorkbenchPart)`

### partOpened

default void partOpened(IWorkbenchPartReference partRef)
Notifies this listener that the given part has been opened.

Note that if other perspectives in the same page share the view, this notification is not sent. It is only sent when the view is being newly opened in the page (it is being created).

Parameters:
  `partRef` - the part that was opened
See Also:
  - `IWorkbenchPage.showView(java.lang.String)`

### partHidden

default void partHidden(IWorkbenchPartReference partRef)
Notifies this listener that the given part is hidden or obscured by another part.

Parameters:
  `partRef` - the part that is hidden or obscured by another part

### partVisible

default void partVisible(IWorkbenchPartReference partRef)
Notifies this listener that the given part is visible.

Parameters:
  `partRef` - the part that is visible

### partInputChanged

default void partInputChanged(IWorkbenchPartReference partRef)
Notifies this listener that the given part's input was changed.

Parameters:
  `partRef` - the part whose input was changed